/* vim: set noexpandtab fileencoding=utf-8 nomodified nowrap textwidth=270 foldmethod=marker foldmarker={{{,}}} foldcolumn=4 ruler showcmd lcs=tab\:|- list: */

// start loop() with
// 	current_millis=millis();
// then use the value in whole loop
// also use it in libraries, if you want
// (mainly for *.update() method, to choose, if it is time to do something like
// 	if ( (current_millis - previous_millis) >= interval ) { 
// 		previous_millis = current_millis;
// 		something(); 
// 	};
// )

#ifndef CURRENT_MILLIS_H
#define CURRENT_MILLIS_H
#include <stdint.h>

extern uint32_t current_millis;	// global variable, should be set on begining of loop(): current_millis=millis(); to hold the time for the whole loop and for libraries to use (mainly in *.update() methods)

#endif
